#include <bits/stdc++.h>
using namespace std;
char a[12][12];
int main(){
    int n, m;
    cin>>n>>m;
    string s;
    bool praz=true;
    int br=0;
    for(int i=0; i<n; ++i){
        cin>>s;
        for(int j=0;j<m;++j){
                if(s[j]=='.')br++;
                a[i][j]=s[j];
        }
    }
    if(br==n*m){
        if(n!=m) cout<<-1;
        else{
            for(int i=0; i<n;++i){
                for(int j=0;j<n;++j){
                    if(i==j) cout<<'C';
                    else cout<<'.';
                }
                cout<<endl;
            }
        }
        return 0;
    }
    cout<<-1;
    return 0;
}